<?php

/**
 * 门店代理账户表
 */

namespace JinDouYun\Dao\CommissionPartner;

use JinDouYun\Dao\BaseDao;

class DNewAgent extends BaseDao
{
    public function __construct($serviceDB = 'default')
    {
        $this->_table = 'new_agent';
        $this->_primary = 'id';
        $this->_fields = [
            "id",
            "userCenterId",
            "customerId",
            "balance",
            "waitMoney",
            "withdraw",
            "totalMoney",
            "deleteStatus",
            "createTime",
            "updateTime",
            "expand",
        ];
        $this->_readonly = ['id'];
        parent::__construct($serviceDB);
    }
}