<?php

/**
 * 新分销合伙人佣金明细表
 */

namespace JinDouYun\Dao\CommissionPartner;

use JinDouYun\Dao\BaseDao;

class DNewAgentDetail extends BaseDao
{
    public function __construct($serviceDB = 'default')
    {
        $this->_table = 'new_agent_detail';
        $this->_primary = 'id';
        $this->_fields = [
            "id",
            "customerId",
            "userCenterId",
            "agentId",
            "sourceShopId",
            "title",
            "purchaseMoney",
            "calcMoney",
            "commission",
            "per",
            "type",
            "purchaseId",
            "status",
            "isUpgrade",
            "mono",
            "time",
            "expand",
            "purchaseNo",
            "shopId",
            "level",
            "pmoney",
            "lastShopId",
            "lastCommission",
            "lastPer",
            "sourceShopLevel"
        ];
        $this->_readonly = ['id'];
        parent::__construct($serviceDB);
    }
}